Infront Data Manager Connect Client (.NET)

Public Member Functions | List of all members
Gevasys.DataCore.Client.RetransmitClient Class Referenceabstract

Abstract base class for retransmit clients. More...

Inherits Gevasys.DataCore.Client.IRetransmitClient.

Inherited by Examples.SampleRetransmitClient.

## Public Member Functions
| RetransmitClient (String name)
| Default constructor. More...
String | GetName ()
| Get the name of the client. More...
void | Start ()
| Starts the client. More...
void | AddNewData (List< UpdateMessage > newUpdates)
| For internal use only. More...
void | Run ()
| For internal use only. More...
void | Stop ()
abstract void | ProcessUpdates (List< UpdateMessage > updates)

## Detailed Description

Abstract base class for retransmit clients.

## Constructor & Destructor Documentation

## ◆ RetransmitClient()

Gevasys.DataCore.Client.RetransmitClient.RetransmitClient | ( | String | name | ) |
| inline

Default constructor.

## Member Function Documentation

## ◆ AddNewData()

void Gevasys.DataCore.Client.RetransmitClient.AddNewData | ( | List< UpdateMessage > | newUpdates | ) |
| inline

For internal use only.

## ◆ GetName()

String Gevasys.DataCore.Client.RetransmitClient.GetName | ( |  | ) |
| inline

Get the name of the client.

## ◆ ProcessUpdates()

abstract void Gevasys.DataCore.Client.RetransmitClient.ProcessUpdates | ( | List< UpdateMessage > | updates | ) |
| pure virtual

Abstract method which must be overridden in derived classes. This is the

entry point for user specific code for processing updates.

## ◆ Run()

void Gevasys.DataCore.Client.RetransmitClient.Run | ( |  | ) |
| inline

For internal use only.

Implements Gevasys.DataCore.Core.IRunnable.

## ◆ Start()

void Gevasys.DataCore.Client.RetransmitClient.Start | ( |  | ) |
| inline

Starts the client.

## ◆ Stop()

void Gevasys.DataCore.Client.RetransmitClient.Stop | ( |  | ) |
| inline

Stops the client.

Implements Gevasys.DataCore.Core.IRunnable.

The documentation for this class was generated from the following file:

- RetransmitClient.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1